JRuby 1.3.0 not working

I installed JRuby 1.3.0 but when I tried to run "gem" I got the following error message: C:\ruby\jruby-1.3.0\bin>jruby gem install rails C:/ruby/jruby-1.3.0/bin/../lib/ruby/site_ruby/1.8/rubygems.rb:881:in `searcher': Mutex relocking by same thread (ThreadError) from C:/ruby/jruby-1.3.0/bin/../lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:33:in `require' from C:/ruby/jruby-1.3.0/bin/../lib/ruby/site_ruby/1.8/rubygems.rb:499:in `ensure_gem_subdirectories' from C:/ruby/jruby-1.3.0/bin/../lib/ruby/site_ruby/1.8/rubygems/defaults/jruby.rb:12:in `ensure_gem_subdirectories' from C:/ruby/jruby-1.3.0/bin/../lib/ruby/site_ruby/1.8/rubygems.rb:892:in `set_home' from C:/ruby/jruby-1.3.0/bin/../lib/ruby/site_ruby/1.8/rubygems.rb:467:in `dir' from C:/ruby/jruby-1.3.0/bin/../lib/ruby/site_ruby/1.8/rubygems.rb:910:in `set_paths' from C:/ruby/jruby-1.3.0/bin/../lib/ruby/site_ruby/1.8/rubygems/defaults/jruby.rb:17:in `set_paths' from C:/ruby/jruby-1.3.0/bin/../lib/ruby/site_ruby/1.8/rubygems.rb:689:in `path' ... 8 … Continue reading JRuby 1.3.0 not working

setting up specific version of JRuby and Rails with Netbeans 6.5

To add a custom Ruby platform in Netbeans 6.5 (in my case updating from the included JRuby 1.1.4 to JRuby 1.2) : Install the desired version of JRuby Download Ruby 1.2.0 from jruby.org Extract the zip file to c:\ruby\jruby-1.2.0 Test it out by going to the c:\ruby\jruby\1.2.0\bin directory and running 'jirb' (It seems this will … Continue reading setting up specific version of JRuby and Rails with Netbeans 6.5

Likeminds

If you’re like me, you probably think the last thing the web needs is another social networking site. Either I don’t have that many friends, or my friends don’t use the interweb for socializing. The other day, I overheard a conversation about a dating site. Now if there’s one thing the web absolutely doesn’t need, … Continue reading Likeminds